package HelloServer;

import HelloInterface.*;

public class MyDataBase
{
	public static final int PeopleCount=3;
	public static String names[]={"John", "Smith", "Anna"};
	public static int ages[]={18, 29, 23};
	public static boolean genders[]={true, true, false};
	public static float incomes[]={20000.0f, 12000.5f, 34000.0f};

	//this method simulate a linear search in database
	public static Struct getPeopleData(String theName)
	{
		Struct result=null;
		try
		{
			int index;
			for (index=0; index<PeopleCount; index++)
			{
				if (names[index].compareTo(theName)==0)
				{
					break;
				}
			}
			if (index==PeopleCount)
			{
				//cannot find record
				return null;
			}
			else
			{		
				result=new Struct();		
				result.name=names[index];
				result.age=ages[index];
				result.gender=genders[index];
				result.income=incomes[index];
				
			}
		}
		catch (Exception er)
		{
			System.out.println(er);
		}
		return result;
	}

	public static Struct[] getPeopleAll()
	{
		Struct[] res=new Struct[PeopleCount];
		for (int i=0; i<PeopleCount; i++)
		{
			res[i]=new Struct();
			res[i].name=names[i];
			res[i].gender=genders[i];
			res[i].age=ages[i];
			res[i].income=incomes[i];
		}
		return res;
	}
}